=begin pod

=TITLE class X::Role::Initialization

    class X::Role::Initialization is Exception { }

Thrown when the C<SomeRole($init)> syntax is used, but SomeRole does not have
exactly one public attribute.

For example
    role R { }; "D2" but R(2)

throws the error

    Can only supply an initialization value for a role if it has a single
    public attribute, but this is not the case for 'R'

=head1 Methods

=head2 role

    method role()

Returns the role that caused the error.

=end pod
